%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	An editor for the GConf configuration system
Name:		gconf-editor
Version:	3.0.1
Release:	%mkrel 2
URL:		http://www.gnome.org/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
#gw the COPYING is v3 but all comments say v2+
License:	GPLv2+
Group:		Graphical desktop/GNOME
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gconf-2.0) >= 2.9.2
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-doc-utils libxslt-proc
Requires(post):		scrollkeeper
Requires(postun):	scrollkeeper

%description
gconf-edit is an editor for the GConf configuration system

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf %{buildroot}/var/lib/scrollkeeper

desktop-file-install --vendor="" \
  --remove-category="System" \
  --add-category="Settings" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME-Advanced" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

%clean
rm -rf %{buildroot}

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS NEWS
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/%{name}
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/*-C.omf


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.0.1-2.mga3
+ Revision: 351116
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 gw666 <gw666> 3.0.1-1.mga3
+ Revision: 326905
- remove polkit dep

* Mon Nov 21 2011 wally <wally> 3.0.1-1.mga2
+ Revision: 170502
- new version 3.0.1
- clean .spec a bit

* Tue Jun 21 2011 pterjan <pterjan> 3.0.0-1.mga2
+ Revision: 110808
- Update to 3.0.0

* Fri Feb 25 2011 ennael <ennael> 2.32.0-1.mga1
+ Revision: 59548
- clean spec file
- imported package gconf-editor

